Bug 11177 - [PATCH] xmms plugins not linked with libxmms
: [PATCH] xmms plugins not linked with libxmms
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-21 22:04 by
Modified: 2007-03-30 20:27 (History)


Attachments
Patch (8.75 KB, patch)
2007-03-21 22:06, Igor Zubkov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-21 22:04:07
xmms plugins not linked with libxmms.
------- Comment #1 From 2007-03-21 22:06:18 -------
Created an attachment (id=1871) [details]
Patch

After this patch:
Verifying ELF objects in /home/icesik/tmp/xmms-buildroot
(arch=normal,fhs=normal,rpath=normal,stack=normal,textrel=relaxed,unresolved=normal)

verify-elf: WARNING: ./usr/lib/xmms/Input/libcdaudio.so: undefined symbol:
xmms_get_gentitle_format
verify-elf: WARNING: ./usr/lib/xmms/Input/libvorbis.so: undefined symbol:
playlistwin
verify-elf: WARNING: ./usr/lib/xmms/Input/libvorbis.so: undefined symbol:
xmms_get_gentitle_format
verify-elf: WARNING: ./usr/lib/xmms/Input/libmikmod.so: undefined symbol:
xmms_get_gentitle_format
verify-elf: WARNING: ./usr/lib/xmms/Input/libmpg123.so: TEXTREL entry found:
0x0
verify-elf: WARNING: ./usr/lib/xmms/Input/libmpg123.so: undefined symbol:
playlistwin
verify-elf: WARNING: ./usr/lib/xmms/Input/libmpg123.so: undefined symbol:
xmms_get_gentitle_format
verify-elf: WARNING: ./usr/lib/xmms/Input/libwav.so: undefined symbol:
xmms_get_gentitle_format
verify-elf: WARNING: ./usr/lib/xmms/Output/libALSA.so: undefined symbol:
effects_enabled
verify-elf: WARNING: ./usr/lib/xmms/Output/libALSA.so: undefined symbol:
get_current_effect_plugin
verify-elf: WARNING: ./usr/lib/xmms/Output/libOSS.so: undefined symbol:
effects_enabled
verify-elf: WARNING: ./usr/lib/xmms/Output/libOSS.so: undefined symbol:
get_current_effect_plugin
verify-elf: WARNING: ./usr/lib/xmms/Output/libesdout.so: undefined symbol:
effects_enabled
verify-elf: WARNING: ./usr/lib/xmms/Output/libesdout.so: undefined symbol:
get_current_effect_plugin
verify-elf: WARNING: ./usr/lib/xmms/Output/libdisk_writer.so: undefined symbol:
ctrlsocket_get_session_id
Stripping binaries in /home/icesik/tmp/xmms-buildroot (executable,shared)

This is symvols inside xmms binary :(
------- Comment #2 From 2007-03-22 11:22:30 -------
So do we have to bother with that?  Frankly, I'd just leave it at that...
------- Comment #3 From 2007-03-22 15:20:49 -------
(In reply to comment #2)
> So do we have to bother with that?  Frankly, I'd just leave it at that...

I will try to fix this later. Now, just apply already attached patch.
------- Comment #4 From 2007-03-28 22:10:28 -------
Fixed in 1.2.10-alt13, thanks